New payment link
payment-links.write scope.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request body for creating a new payment link.
The amount to request payment for.
1 <= x <= 999999991299
The ISO-4217 currency code for the payment.
"USD"
The 2-letter ISO code of the country of the transaction. This is used to filter the payment services that is used to process the transaction.
"US"
Guest buyer details provided inline. No buyer resource will be created on Gr4vy when used.
The date and time when this payment link expires. Defaults to 24 hours from creation.
"2022-01-01T12:00:00+00:00"
Allows for passing optional configuration per connection to take advantage of connection specific features. When provided, the data is only passed to the target connection type to prevent sharing configuration across connections.
Please note that each of the keys this object are in kebab-case, for
example cybersource-anti-fraud as they represent the ID of the
connector. All the other keys will be snake case, for example
merchant_defined_data or camel case to match an external API that the
connector uses.
A value that can be used to match the payment link against your own records. This will also be applied to any transaction.
1 - 200"payment-link-123"
The statement descriptor is the text to be shown on the buyer's statements.
The specific usage of these fields will depend on the capabilities of the underlying PSP and bank. As a typical example, 'name' and 'description' could be concatenated using '* ' as a separator, and then the resulting descriptor would be truncated to 22 characters by the issuing bank.
The locale used to translate text within the payment link.
en, en-GB, es, pt, pt-BR "en"
The name of the merchant to display on the payment link.
100"Gr4vy"
The URL of the merchant to display on the payment link.
"https://gr4vy.com"
The URL of the merchant banner to display on the payment link.
"https://gr4vy.com/banner.png"
The color code of the merchant to display on the payment link.
"#FF0000"
The message to display on the payment link.
255"Thank you for shopping with us!"
The URL of the merchant terms and conditions to display on the payment link.
"https://gr4vy.com/terms"
The URL of the merchant favicon icon.
"https://gr4vy.com/favicon.png"
The intent of the payment link.
authorize, capture "authorize"
The URL to redirect the buyer to after payment.
"https://gr4vy.com/return"
An array of cart items that represents the line items of a payment link.
249Any additional information about the payment link that you would like to store as key-value pairs. This data is passed to payment service providers that support it.
{ "key": "value" }The source of the payment link.
ecommerce, moto, recurring, installment, card_on_file "recurring"
Response
Returns the created payment link.
The ID of a payment link.
"8d3fe99b-1422-42e6-bbb3-932d95ae5f79"
The type of this resource. Is always payment_link.
payment_link "payment_link"
The monetary amount for this payment link, in the smallest
currency unit for the given currency, for example 1299 cents to create
an authorization for $12.99.
1299
A supported ISO-4217 currency code.
"USD"
The date and time when this payment link was created.
"2022-01-01T12:00:00+00:00"
The date and time when this payment link was created.
"2022-01-01T12:00:00+00:00"
The date and time when this payment link expires.
"2022-01-01T12:00:00+00:00"
active, completed, expired, processing "active"
A value that can be used to match the payment link against your own records.
1 - 200"payment-link-123"
The statement descriptor is the text to be shown on the buyer's statements.
The specific usage of these fields will depend on the capabilities of the underlying PSP and bank. As a typical example, 'name' and 'description' could be concatenated using '* ' as a separator, and then the resulting descriptor would be truncated to 22 characters by the issuing bank.
The locale used to translate text within the payment link.
en, en-GB, es, pt, pt-BR "en"
The name of the merchant to display on the payment link.
100"Gr4vy"
The URL of the merchant to display on the payment link.
"https://gr4vy.com"
The URL of the merchant banner to display on the payment link.
"https://gr4vy.com/banner.png"
The color code of the merchant to display on the payment link.
"#FF0000"
The message to display on the payment link.
255"Thank you for shopping with us!"
The URL of the merchant terms and conditions to display on the payment link.
"https://gr4vy.com/terms"
The URL of the merchant favicon icon.
"https://gr4vy.com/favicon.png"
The 2-letter ISO code of the country of the transaction. This is used to filter the payment services that is used to process the transaction.
"US"
The intent of the payment link.
authorize, capture "authorize"
The URL to redirect the buyer to after payment.
"https://gr4vy.com/return"
An array of cart items that represents the line items of a payment link.
249Any additional information about the payment link that you would like to store as key-value pairs. This data is passed to payment service providers that support it.
{ "key": "value" }The source of the payment link. Defaults to ecommerce.
ecommerce, moto, recurring, installment, card_on_file "recurring"
The buyer used for this transaction.
Shipping details for the payment link.